package objects

import (
	//"vultras.su/core/types"
)

// Implementing the interface provides way to
// initialize object when created with the New function.
type Constructor[Params any] interface {
	Construct(param Params) error
}

type Destructor interface {
	Destruct() error
}
