package main

import (
	"vultras.su/core/types/objects"
	"vultras.su/core/types"
	"fmt"
)



type DogParams struct {
	Name string
}

var _ = types.MustImplement[
	objects.Constructor[DogParams],
](&Dog{})
type Dog struct {
	name string
}

func (dog *Dog) Construct(params DogParams) (error) {

	if params.Name == "" {
		return fmt.Errorf("dogs must have a name")
	} else {
		dog.name = params.Name
	}

	return nil
}

func (dog *Dog) Name() string {
	return dog.name
}

